### Enumeration

# Gdk ScrollDirection

#### Declaration

    enum Gdk.ScrollDirection

#### Description [src]

Specifies the direction for scroll events.

#### Members

`GDK_SCROLL_UP`

  The surface is scrolled up.

  - Value: `0`
  - Available since: 4.0
`GDK_SCROLL_DOWN`

  The surface is scrolled down.

  - Value: `1`
  - Available since: 4.0
`GDK_SCROLL_LEFT`

  The surface is scrolled to the left.

  - Value: `2`
  - Available since: 4.0
`GDK_SCROLL_RIGHT`

  The surface is scrolled to the right.

  - Value: `3`
  - Available since: 4.0
`GDK_SCROLL_SMOOTH`

  The scrolling is determined by the delta values in scroll events. See gdk_scroll_event_get_deltas().

  - Value: `4`
  - Available since: 4.0